# List cached records (/docs/api/cache/cache_list)

The cache explorer: each cached entity or response with its masked label, fields, their ages and freshness, hits and savings. Values are never returned here.

`GET /v1/cache`

```json
{
  "operationId": "cache_list",
  "summary": "List cached records",
  "description": "The cache explorer: each cached entity or response with its masked label, fields, their ages and freshness, hits and savings. Values are never returned here.",
  "tags": [
    "cache"
  ],
  "security": [
    {
      "bearer": []
    }
  ],
  "parameters": [
    {
      "schema": {
        "type": "string",
        "enum": [
          "response",
          "entity"
        ]
      },
      "required": false,
      "name": "kind",
      "in": "query"
    },
    {
      "schema": {
        "type": "string",
        "pattern": "^[a-z0-9._-]{1,120}$"
      },
      "required": false,
      "name": "capability",
      "in": "query"
    },
    {
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 200,
        "default": 50
      },
      "required": false,
      "name": "limit",
      "in": "query"
    },
    {
      "schema": {
        "type": "string",
        "pattern": "^[0-9]{1,16}$"
      },
      "required": false,
      "name": "cursor",
      "in": "query"
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "object": {
                      "type": "string",
                      "enum": [
                        "cache_entry"
                      ]
                    },
                    "key": {
                      "type": "string"
                    },
                    "kind": {
                      "type": "string",
                      "enum": [
                        "response",
                        "entity"
                      ]
                    },
                    "entity_type": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "enum": [
                        "person",
                        "company",
                        null
                      ]
                    },
                    "label": {
                      "type": "string"
                    },
                    "capability": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "provider": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "fields": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "name": {
                            "type": "string"
                          },
                          "provider": {
                            "type": "string"
                          },
                          "fetched_at": {
                            "type": "string",
                            "format": "date-time"
                          },
                          "expires_at": {
                            "type": "string",
                            "format": "date-time"
                          },
                          "age_s": {
                            "type": "integer",
                            "minimum": 0
                          },
                          "fresh": {
                            "type": "boolean"
                          }
                        },
                        "required": [
                          "name",
                          "provider",
                          "fetched_at",
                          "expires_at",
                          "age_s",
                          "fresh"
                        ]
                      }
                    },
                    "size_bytes": {
                      "type": "integer",
                      "minimum": 0
                    },
                    "hits": {
                      "type": "integer",
                      "minimum": 0
                    },
                    "saved_micro": {
                      "type": "integer",
                      "minimum": 0
                    },
                    "tags": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    },
                    "created_at": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "updated_at": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "expires_at": {
                      "type": "string",
                      "format": "date-time"
                    }
                  },
                  "required": [
                    "object",
                    "key",
                    "kind",
                    "entity_type",
                    "label",
                    "capability",
                    "provider",
                    "fields",
                    "size_bytes",
                    "hits",
                    "saved_micro",
                    "tags",
                    "created_at",
                    "updated_at",
                    "expires_at"
                  ]
                }
              },
              "next_cursor": {
                "type": [
                  "string",
                  "null"
                ]
              }
            },
            "required": [
              "items",
              "next_cursor"
            ]
          }
        }
      }
    },
    "default": {
      "description": "Error",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string",
                    "enum": [
                      "invalid_request",
                      "unauthorized",
                      "insufficient_balance",
                      "max_cost_exceeded",
                      "scope_denied",
                      "budget_blocked",
                      "not_found",
                      "idempotency_mismatch",
                      "invalid_meta",
                      "rate_limited",
                      "upstream_error",
                      "response_buffer_limit",
                      "provider_capacity_unavailable",
                      "grid_saturated",
                      "upstream_timeout",
                      "conflict",
                      "internal_error",
                      "account_frozen",
                      "strict_filters",
                      "plan_limit_reached",
                      "validation_failed",
                      "deadline_exceeded",
                      "cancelled"
                    ]
                  },
                  "message": {
                    "type": "string"
                  },
                  "request_id": {
                    "type": "string"
                  },
                  "call_id": {
                    "type": "string"
                  },
                  "retry_after_ms": {
                    "type": "integer",
                    "minimum": 0
                  },
                  "details": {
                    "type": "object",
                    "additionalProperties": {}
                  }
                },
                "required": [
                  "code",
                  "message"
                ]
              }
            },
            "required": [
              "error"
            ]
          }
        }
      }
    }
  }
}
```
